cvpnssn.vo

## Class PrestazionePrescrittaNSSN

- java.lang.Object
- - cvpnssn.vo.PrestazionePrescrittaNSSN

-     public class PrestazionePrescrittaNSSN
      extends java.lang.Object

  Contiene le informazioni di una prescrizione non coperta dal SSN

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codGruppoEquival` Codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo.
    `private java.lang.String` | `codMotivazNonSost` Il campo contiene i codici di motivazione di non sostituibilità di un farmaco.
    `private java.lang.String` | `codProdPrest` Il campo contiene il codice prodotto farmaceutico (AIC).
    `private java.lang.String` | `descrGruppoEquival` Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA.
    `private java.lang.String` | `descrProdPrest` Descrizione testuale della prescrizione farmaceutica come da Prontuario terapeutico.
    `private java.lang.String` | `descrTestoLiberoNote` Il campo può essere utilizzato per scrivere una nota esplicativa di ciò che è stato prescritto.
    `private java.lang.String` | `durataTrattamento` Data inizio e fine trattamento in testo libero.
    `private java.lang.String` | `modalitaImpiego` Modalità di impiego del farmaco in testo libero.
    `private java.lang.String` | `nonSost` Se impostato indica che il prodotto, per cui è stato indicato il codice AIC, non può essere sostituito con altro prodotto; vale sia per i farmaci di classe A che C.
    `private java.lang.String` | `numRipetibilita` Indica il numero di volte per cui il farmaco può essere ripetuto; ha senso che sia compilato se vengono modificate le regole vigenti previste per la tipologia di ricetta/farmaco che si sta trattando.
    `private java.lang.String` | `posologia` Tale elemento è obbligatorio per alcune categorie di farmaci, per cui si rimanda alla legislazione vigente.
    `private java.lang.String` | `preparazFarmaceutica` Descrizione in testo libero della preparazione farmaceutica.
    `private java.lang.String` | `prescrizione1` Campo destinato a informazioni aggiuntive
    `private java.lang.String` | `prescrizione2` Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC.
    `private java.lang.String` | `quantita` Quantità di confezioni prescritte.
    `private java.lang.String` | `tdl` Indicare se il farmaco è prescritto per la Terapia del dolore (TDL): valori ammessi: 0 = no 1 = sì
    `private java.lang.String` | `validitaFarm` Periodo di validità massimo entro cui può essere erogato il farmaco per ricette ripetibili/farmaco indicato in mesi.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrestazionePrescrittaNSSN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodGruppoEquival()`
    `java.lang.String` | `getCodMotivazNonSost()`
    `java.lang.String` | `getCodProdPrest()`
    `java.lang.String` | `getDescrGruppoEquival()`
    `java.lang.String` | `getDescrProdPrest()`
    `java.lang.String` | `getDescrTestoLiberoNote()`
    `java.lang.String` | `getDurataTrattamento()`
    `java.lang.String` | `getModalitaImpiego()`
    `java.lang.String` | `getNonSost()`
    `java.lang.String` | `getNumRipetibilita()`
    `java.lang.String` | `getPosologia()`
    `java.lang.String` | `getPreparazFarmaceutica()`
    `java.lang.String` | `getPrescrizione1()`
    `java.lang.String` | `getPrescrizione2()`
    `java.lang.String` | `getQuantita()`
    `java.lang.String` | `getTdl()`
    `java.lang.String` | `getValiditaFarm()`
    `void` | `setCodGruppoEquival(java.lang.String codGruppoEquival)`
    `void` | `setCodMotivazNonSost(java.lang.String codMotivazNonSost)`
    `void` | `setCodProdPrest(java.lang.String codProdPrest)`
    `void` | `setDescrGruppoEquival(java.lang.String descrGruppoEquival)`
    `void` | `setDescrProdPrest(java.lang.String descrProdPrest)`
    `void` | `setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)`
    `void` | `setDurataTrattamento(java.lang.String durataTrattamento)`
    `void` | `setModalitaImpiego(java.lang.String modalitaImpiego)`
    `void` | `setNonSost(java.lang.String nonSost)`
    `void` | `setNumRipetibilita(java.lang.String numRipetibilita)`
    `void` | `setPosologia(java.lang.String posologia)`
    `void` | `setPreparazFarmaceutica(java.lang.String preparazFarmaceutica)`
    `void` | `setPrescrizione1(java.lang.String prescrizione1)`
    `void` | `setPrescrizione2(java.lang.String prescrizione2)`
    `void` | `setQuantita(java.lang.String quantita)`
    `void` | `setTdl(java.lang.String tdl)`
    `void` | `setValiditaFarm(java.lang.String validitaFarm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codProdPrest

          private java.lang.String codProdPrest

      Il campo contiene il codice prodotto farmaceutico (AIC).

    - #### descrProdPrest

          private java.lang.String descrProdPrest

      Descrizione testuale della prescrizione farmaceutica come da Prontuario terapeutico.

    - #### codGruppoEquival

          private java.lang.String codGruppoEquival

      Codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo. Da inserire solo per farmaci di classe A

    - #### descrGruppoEquival

          private java.lang.String descrGruppoEquival

      Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA. Il campo deve contenere la descrizione associata a codice gruppo equivalenza secondo la codifica AIFA. Il contenuto del campo è ciò che verrà visualizzato in seguito dal farmacista. E’ obbligatorio compilare il campo se è stato compilato codGruppoEquival

    - #### nonSost

          private java.lang.String nonSost

      Se impostato indica che il prodotto, per cui è stato indicato il codice AIC, non può essere sostituito con altro prodotto; vale sia per i farmaci di classe A che C. Valori ammessi: null (o vuoto) = campo non utilizzato 1 = il prodotto farmaceutico indicato tramite codice AIC non può essere sostituito

    - #### codMotivazNonSost

          private java.lang.String codMotivazNonSost

      Il campo contiene i codici di motivazione di non sostituibilità di un farmaco. Se si compila questo campo, nonSost deve valere 1. La compilazione della motivazione di non sostituibilità nelle ricette bianche elettroniche è facoltativa per i farmaci di classe A mentre non deve essere mai compilata per i farmaci di classe C. Valori: 1 = Ipersensibilità, intolleranza, interazione o controindicazione ad eccipienti 2 = Obiettive difficoltà di assunzione 3 = Terapia complessa /Problematiche assistenziali 4 = Non art. 15, comma 11-bis (Non si applica l’art. 15, comma 11-bis, in quanto non si tratta di una prima prescrizione per una patologia cronica o di un nuovo episodio di patologia non cronica)

    - #### tdl

          private java.lang.String tdl

      Indicare se il farmaco è prescritto per la Terapia del dolore (TDL): valori ammessi: 0 = no 1 = sì

    - #### descrTestoLiberoNote

          private java.lang.String descrTestoLiberoNote

      Il campo può essere utilizzato per scrivere una nota esplicativa di ciò che è stato prescritto.

    - #### quantita

          private java.lang.String quantita

      Quantità di confezioni prescritte.

    - #### posologia

          private java.lang.String posologia

      Tale elemento è obbligatorio per alcune categorie di farmaci, per cui si rimanda alla legislazione vigente.

    - #### durataTrattamento

          private java.lang.String durataTrattamento

      Data inizio e fine trattamento in testo libero.

    - #### modalitaImpiego

          private java.lang.String modalitaImpiego

      Modalità di impiego del farmaco in testo libero.

    - #### preparazFarmaceutica

          private java.lang.String preparazFarmaceutica

      Descrizione in testo libero della preparazione farmaceutica.

    - #### numRipetibilita

          private java.lang.String numRipetibilita

      Indica il numero di volte per cui il farmaco può essere ripetuto; ha senso che sia compilato se vengono modificate le regole vigenti previste per la tipologia di ricetta/farmaco che si sta trattando. Se il campo non è compilato viene applicata la regola generale della tipologia di ricetta/farmaco che si sta trattando.

    - #### validitaFarm

          private java.lang.String validitaFarm

      Periodo di validità massimo entro cui può essere erogato il farmaco per ricette ripetibili/farmaco indicato in mesi. Il campo deve essere compilato solo se la validità varia rispetto alla regola vigente per ogni tipologia di ricetta/farmaco. Se il campo non è compilato viene applicata la regola vigente.

    - #### prescrizione1

          private java.lang.String prescrizione1

      Campo destinato a informazioni aggiuntive

    - #### prescrizione2

          private java.lang.String prescrizione2

      Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC. Deve essere rispettata la lunghezza del campo e l’utilizzo dei caratteri ammessi.

  - ### Constructor Detail

    - #### PrestazionePrescrittaNSSN

          public PrestazionePrescrittaNSSN()

  - ### Method Detail

    - #### getCodProdPrest

          public java.lang.String getCodProdPrest()

    - #### setCodProdPrest

          public void setCodProdPrest(java.lang.String codProdPrest)

    - #### getDescrProdPrest

          public java.lang.String getDescrProdPrest()

    - #### setDescrProdPrest

          public void setDescrProdPrest(java.lang.String descrProdPrest)

    - #### getCodGruppoEquival

          public java.lang.String getCodGruppoEquival()

    - #### setCodGruppoEquival

          public void setCodGruppoEquival(java.lang.String codGruppoEquival)

    - #### getNonSost

          public java.lang.String getNonSost()

    - #### setNonSost

          public void setNonSost(java.lang.String nonSost)

    - #### getCodMotivazNonSost

          public java.lang.String getCodMotivazNonSost()

    - #### setCodMotivazNonSost

          public void setCodMotivazNonSost(java.lang.String codMotivazNonSost)

    - #### getTdl

          public java.lang.String getTdl()

    - #### setTdl

          public void setTdl(java.lang.String tdl)

    - #### getDescrTestoLiberoNote

          public java.lang.String getDescrTestoLiberoNote()

    - #### setDescrTestoLiberoNote

          public void setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)

    - #### getQuantita

          public java.lang.String getQuantita()

    - #### setQuantita

          public void setQuantita(java.lang.String quantita)

    - #### getPosologia

          public java.lang.String getPosologia()

    - #### setPosologia

          public void setPosologia(java.lang.String posologia)

    - #### getDurataTrattamento

          public java.lang.String getDurataTrattamento()

    - #### setDurataTrattamento

          public void setDurataTrattamento(java.lang.String durataTrattamento)

    - #### getModalitaImpiego

          public java.lang.String getModalitaImpiego()

    - #### setModalitaImpiego

          public void setModalitaImpiego(java.lang.String modalitaImpiego)

    - #### getPreparazFarmaceutica

          public java.lang.String getPreparazFarmaceutica()

    - #### setPreparazFarmaceutica

          public void setPreparazFarmaceutica(java.lang.String preparazFarmaceutica)

    - #### getNumRipetibilita

          public java.lang.String getNumRipetibilita()

    - #### setNumRipetibilita

          public void setNumRipetibilita(java.lang.String numRipetibilita)

    - #### getValiditaFarm

          public java.lang.String getValiditaFarm()

    - #### setValiditaFarm

          public void setValiditaFarm(java.lang.String validitaFarm)

    - #### getPrescrizione1

          public java.lang.String getPrescrizione1()

    - #### setPrescrizione1

          public void setPrescrizione1(java.lang.String prescrizione1)

    - #### getPrescrizione2

          public java.lang.String getPrescrizione2()

    - #### setPrescrizione2

          public void setPrescrizione2(java.lang.String prescrizione2)

    - #### getDescrGruppoEquival

          public java.lang.String getDescrGruppoEquival()

    - #### setDescrGruppoEquival

          public void setDescrGruppoEquival(java.lang.String descrGruppoEquival)